Debian Bug report logs - #586367
live-helper: Build with "--packages-lists minimal" fails

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Svend Sorensen <svend@ciffer.net>

Date: Fri, 18 Jun 2010 21:09:02 UTC

Severity: normal

Found in version live-helper/2.0~a15-1

Fixed in version live-helper/2.0~a16-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#586367; Package live-helper. (Fri, 18 Jun 2010 21:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svend Sorensen <svend@ciffer.net>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 18 Jun 2010 21:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Svend Sorensen <svend@ciffer.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: Build with "--packages-lists minimal" fails
Date: Fri, 18 Jun 2010 13:19:06 -0700
Package: live-helper
Version: 2.0~a15-1
Severity: normal

When I try to build a live system and include the minimal package list,
the build fails with the error "cp: cannot stat `chroot/boot/vmlinuz-*':
No such file or directory". Here are my build steps and the end of the
build messages.

$ lh config --distribution lenny --packages-lists minimal
$ sudo lh build 2>&1 | tee build.log
[...]
Hit http://security.debian.org lenny/updates Release.gpg
Hit http://security.debian.org lenny/updates Release
Ign http://security.debian.org lenny/updates/main Packages/DiffIndex
Hit http://security.debian.org lenny/updates/main Packages
Hit http://volatile.debian.org lenny/volatile Release.gpg
Hit http://ftp.de.debian.org lenny Release.gpg
Hit http://volatile.debian.org lenny/volatile Release
Hit http://ftp.de.debian.org lenny Release
Ign http://volatile.debian.org lenny/volatile/main Packages/DiffIndex
Ign http://ftp.de.debian.org lenny/main Packages/DiffIndex
Hit http://volatile.debian.org lenny/volatile/main Packages
Hit http://ftp.de.debian.org lenny/main Packages
Reading package lists...
P: Configuring file /etc/kernel-img.conf
Reading package lists...
Building dependency tree...
Reading state information...
P: Begin creating manifest...
P: Begin installing local packages lists...
P: Begin install linux-image...
cp: cannot stat `chroot/boot/vmlinuz-*': No such file or directory
P: Begin unmounting filesystems...

I get the same error with

$ lh config --distribution squeeze --packages-lists minimal

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-helper depends on:
ii  debootstrap                   1.0.23     Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  cpio                          2.11-4     GNU cpio -- a program to manage ar
ii  gettext-base                  0.18.1.1-1 GNU Internationalization utilities
ii  gnu-fdisk                     1.2.4-3+b1 Linux fdisk replacement based on l

Versions of packages live-helper suggests:
ii  dosfstools                 3.0.9-1       utilities for making and checking 
ii  fakeroot                   1.14.4-1      Gives a fake root environment
ii  genisoimage                9:1.1.10-1    Creates ISO-9660 CD-ROM filesystem
pn  memtest86+ | memtest86     <none>        (no description available)
ii  mtools                     4.0.12-1      Tools for manipulating MSDOS files
pn  parted                     <none>        (no description available)
ii  squashfs-tools             1:4.0-8       Tool to create and append to squas
ii  sudo                       1.7.2p7-1     Provide limited super user privile
ii  syslinux                   2:3.86+dfsg-4 utilities for the syslinux bootloa
pn  uuid-runtime               <none>        (no description available)
pn  win32-loader               <none>        (no description available)

-- no debconf information




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 23 Jun 2010 23:48:09 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 24 Jun 2010 00:03:13 GMT) Full text and rfc822 format available.

Notification sent to Svend Sorensen <svend@ciffer.net>:
Bug acknowledged by developer. (Thu, 24 Jun 2010 00:03:13 GMT) Full text and rfc822 format available.

Message #12 received at 586367-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 586367-close@bugs.debian.org
Subject: Bug#586367: fixed in live-helper 2.0~a16-1
Date: Thu, 24 Jun 2010 00:02:26 +0000
Source: live-helper
Source-Version: 2.0~a16-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_2.0~a16-1.diff.gz
  to main/l/live-helper/live-helper_2.0~a16-1.diff.gz
live-helper_2.0~a16-1.dsc
  to main/l/live-helper/live-helper_2.0~a16-1.dsc
live-helper_2.0~a16-1_all.deb
  to main/l/live-helper/live-helper_2.0~a16-1_all.deb
live-helper_2.0~a16.orig.tar.gz
  to main/l/live-helper/live-helper_2.0~a16.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 586367@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 24 Jun 2010 01:49:57 +0200
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 2.0~a16-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 586367 586927
Changes: 
 live-helper (2.0~a16-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Also passing repositories to cgi build jobs.
   * Correcting wrong handling of --rsyncable in defaults autodetection
     of gzip options.
   * Also including url of the webbuilder in its images.
   * Including note where to send feedback to in webmails mail templates.
   * Including build-job in the mail that is sent by the cgi.
   * Silencing copying of parameters.txt in binary_linux-image.
   * Moving chroot exclude mechanisms to one central place in
     binary_chroot helper.
   * Adding nomodeset to failsafe parameters to disable kms.
 .
   [ Richard Nelson ]
   * Cleaned up expression LH_BOOTAPPEND and included = for live-config
     calls.
   * Added : and / to LH_BOOTAPPEND for live-config.hooks calls.
   * LH_BINARY_IMAGES expression cleanup.
   * LH_PACKAGES_LISTS expression cleanup.
   * LH_PACKAGES expression cleanup.
   * LH_ARCHITECTURE expression cleanup.
   * LH_MIRROR_BOOTSTRAP expression cleanup.
   * LH_MIRROR_BINARY expression cleanup.
   * LH_MIRROR_BINARY_SECURITY expression cleanup.
   * LH_CHROOT_FILESYSTEM expression cleanup.
   * LH_LINUX_FLAVOURS expression cleanup.
   * Match encryption param man page and case for expression cleanup on
     l-h.cgi.
   * LH_ENCRYPTION expression cleanup.
   * LH_HOSTNAME expression cleanup.
   * LH_ISO_APPLICATION expression cleanup.
   * LH_ISO_PREPARER expression cleanup.
   * LH_ISO_PUBLISHER expression cleanup.
   * LH_ISO_VOLUME expression cleanup.
   * LH_MEMTEST expression cleanup.
   * LH_NET_ROOT_PATH expression cleanup.
   * LH_NET_ROOT_SERVER expression cleanup.
   * LH_USERNAME expression cleanup and build output cleanup.
   * _CUSTOM_BOOTSTRAP and _CUSTOM_BINARY expression cleanup.
   * Removed hostname from forms and cgi and can be configured with live-
     config.hostname= on bootappend.
   * Removed username from forms and cgi and can be configured with live-
     config.username= on bootappend.
   * Path correction on cgi/cron build file append to mailer.
 .
   [ Daniel Baumann ]
   * Globally using packages cache during runtime of chroot_source
     (Closes: #586927).
   * Removing double implementation of binary_rootfs/excludes.
   * Removing distribution check for assemblink mksquashfs options in
     binary_rootfs, not required anymore.
   * Making excludes handling simpler, and dropping excluding of kernel
     images for minimal or stripped images (Closes: #586367).
Checksums-Sha1: 
 01d2e83a15afcfcf1d7deb707a840462ccdf445b 1257 live-helper_2.0~a16-1.dsc
 06819c0d6a37247e0df33596ae2d055114af782e 2495076 live-helper_2.0~a16.orig.tar.gz
 3767844a7896f10eb789272ae9a5353cb6514386 32222 live-helper_2.0~a16-1.diff.gz
 0f11042349139167f82e2d2a391cd7849e70ab79 1171382 live-helper_2.0~a16-1_all.deb
Checksums-Sha256: 
 65b41cdea8c13eb52717ac8de66642e91f79e80b10860f3a1ada5cfe1d2fc682 1257 live-helper_2.0~a16-1.dsc
 72b91e3ba504fda152dd186366d5b35cbd4ca146efed5ba975acf60c7e6b0563 2495076 live-helper_2.0~a16.orig.tar.gz
 93004ca8b0598b504635c3237bf2e18eee6540160ae1c0409bca1fe43313cfec 32222 live-helper_2.0~a16-1.diff.gz
 46866fffbe3a9af2642bf32fc917c42deefc6a211e72bbf4078ff018faf03dde 1171382 live-helper_2.0~a16-1_all.deb
Files: 
 07f16a07f31754d8b5ef8ca64cc852e9 1257 misc optional live-helper_2.0~a16-1.dsc
 edab496858b8557430c9a273dfb1a5eb 2495076 misc optional live-helper_2.0~a16.orig.tar.gz
 04613095f6681878b0cdc41e1f2b8cd1 32222 misc optional live-helper_2.0~a16-1.diff.gz
 1cf41a18b3cf9bf317570bc6b08b627e 1171382 misc optional live-helper_2.0~a16-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwin7EACgkQ+C5cwEsrK55pkACgz1kvdC74JZGiumd0xqmi26q8
dKUAnjzmE2h7mZqruj27uFD8TXOmlFJj
=aZ0E
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Jul 2010 07:37:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:36:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.